> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/devops/microservices/building-blocks/data-sources/shared-states/jooq-sql-table.md).

# Jooq (SQL) Table

This state manager (com.rierino.state.manager.JooqStateManager) uses a SQL database, mapping Json data into one or more tables.

## Manager Parameters

| Parameter         | Definition                                                                                                                                                                                                    | Example            | Default            |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------ | ------------------ |
| system            | Name of the [system ](https://docs.rierino.com/devops/microservices/building-blocks/systems-integrations/data-systems.md#jdbc)which defines remote service details (dbms, uri, connectionPropertiesmergeInto) | {dbms:"ORACLE"}    | -                  |
| maxColumnNameSize | Max number of characters allowed for column names                                                                                                                                                             | 255                | 100                |
| rootName          | Root table name                                                                                                                                                                                               | product            | State manager name |
| schema.name       | Database schema name                                                                                                                                                                                          | public             | Root name          |
| journalTable      | Table for storing change journal records                                                                                                                                                                      | product\_journal   | -                  |
| schema.state      | State manager keeping json schemas                                                                                                                                                                            | schema             | -                  |
| schema            | Json string representing data schema (if schema. state is not used)                                                                                                                                           | {id:{type:string}} | -                  |

This state manager supports [CallSP](https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/core-actions/write-data.md#callsp) action of write event handler, where command is the parameterized command to apply and the inputs are passed as parameters to this command.

{% hint style="info" %}
`com.rierino.state.manager.JooqNestedStateManager` is an experimental variant for nested data models. It uses the same parameters.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rierino.com/devops/microservices/building-blocks/data-sources/shared-states/jooq-sql-table.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
